put
https://api.caas.staging.bancocdc.com.br/client/pj//
The update route is responsible for modifying the information of an existing Legal Entity (PJ) client.
Attention point:
- To consume the route it is necessary to pass the client code as a parameter.
Response
| Http Code | Return Code | Message |
|---|---|---|
| 200 | 200-01 | Success. |
| 400 | 400-01 | Something unexpected happened. |
| 400 | 400-10 | Please provide the correct document. |
| 400 | 400-11 | Error registering. |
| 401 | 401-05 | Unauthorized or token invalid. |
| 406 | 406-01 | User was not found. |
| 406 | 406-03 | field 'X' is mandatory and was not informed. |
| 409 | 409-01 | Customer already registered on the base. |
| 429 | 429-01 | Too many requests. |
Response Parameters
| Parameter | Format | Description |
|---|---|---|
| request_code | string | Code of the request made |
| return | boolean | Indicates if the request was successful |
| return_code | string | Return code of the request |
| message | string | Message indicating the success of the request |